Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

USN-1304-1: Linux kernel (OMAP4) vulnerabilities

13 December 2011

Several security issues were fixed in the kernel.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Releases

Packages

Details

A bug was discovered in the XFS filesystem's handling of pathnames. A local
attacker could exploit this to crash the system, leading to a denial of
service, or gain root privileges. (CVE-2011-4077)

Nick Bowler discovered the kernel GHASH message digest algorithm
incorrectly handled error conditions. A local attacker could exploit this
to cause a kernel oops. (CVE-2011-4081)

Scot Doyle discovered that the bridge networking interface incorrectly
handled certain network packets. A remote attacker could exploit this to
crash the system, leading to a denial of service. (CVE-2011-4087)

A flaw was found in the Journaling Block Device (JBD). A local attacker
able to mount ext3 or ext4 file systems could exploit this to crash the
system, leading to a denial of service. (CVE-2011-4132)

A bug was found in the way headroom check was performed in
udp6_ufo_fragment() function. A remote attacker could use this flaw to
crash the system. (CVE-2011-4326)

Clement Lecigne discovered a bug in the HFS file system bounds checking.
When a malformed HFS file system is mounted a local user could crash the
system or gain root privileges. (CVE-2011-4330)

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 11.04

After a standard system update you need to reboot your computer to make
all the necessary changes.

Related notices

  • USN-1292-1: linux-lts-backport-maverick, linux-image-2.6.35-31-server, linux-image-2.6.35-31-virtual, linux-image-2.6.35-31-generic-pae, linux-image-2.6.35-31-generic
  • USN-1302-1: linux-ti-omap4, linux-image-2.6.35-903-omap4
  • USN-1299-1: linux-image-2.6.32-341-ec2, linux-ec2
  • USN-1340-1: linux-image-3.0.0-15-virtual, linux-image-3.0.0-15-server, linux-lts-backport-oneiric, linux-image-3.0.0-15-generic, linux-image-3.0.0-15-generic-pae
  • USN-1301-1: linux-image-2.6.38-13-server, linux-lts-backport-natty, linux-image-2.6.38-13-generic, linux-image-2.6.38-13-generic-pae, linux-image-2.6.38-13-virtual
  • USN-1336-1: linux-image-3.0.0-15-powerpc, linux-image-3.0.0-15-powerpc64-smp, linux-image-3.0.0-15-virtual, linux-image-3.0.0-15-powerpc-smp, linux-image-3.0.0-15-server, linux-image-3.0.0-15-omap, linux, linux-image-3.0.0-15-generic, linux-image-3.0.0-15-generic-pae
  • USN-1312-1: linux-image-2.6.38-13-server, linux-image-2.6.38-13-powerpc64-smp, linux-image-2.6.38-13-powerpc, linux-image-2.6.38-13-powerpc-smp, linux-image-2.6.38-13-generic, linux-image-2.6.38-13-omap, linux-image-2.6.38-13-generic-pae, linux, linux-image-2.6.38-13-versatile, linux-image-2.6.38-13-virtual
  • USN-1303-1: linux-mvl-dove, linux-image-2.6.32-421-dove
  • USN-1293-1: linux-image-2.6.35-31-server, linux-image-2.6.35-31-powerpc-smp, linux-image-2.6.35-31-virtual, linux-image-2.6.35-31-generic-pae, linux-image-2.6.35-31-omap, linux, linux-image-2.6.35-31-powerpc64-smp, linux-image-2.6.35-31-generic, linux-image-2.6.35-31-versatile, linux-image-2.6.35-31-powerpc
  • USN-1311-1: linux-image-2.6.32-37-generic, linux-image-2.6.32-37-sparc64-smp, linux-image-2.6.32-37-generic-pae, linux-image-2.6.32-37-versatile, linux-image-2.6.32-37-virtual, linux-image-2.6.32-37-sparc64, linux-image-2.6.32-37-powerpc-smp, linux-image-2.6.32-37-powerpc, linux-image-2.6.32-37-lpia, linux-image-2.6.32-37-preempt, linux-image-2.6.32-37-server, linux, linux-image-2.6.32-37-powerpc64-smp, linux-image-2.6.32-37-386, linux-image-2.6.32-37-ia64
  • USN-1330-1: linux-ti-omap4, linux-image-3.0.0-1206-omap4
  • USN-1300-1: linux-fsl-imx51, linux-image-2.6.31-612-imx51
  • USN-1291-1: linux-image-2.6.24-30-powerpc64-smp, linux-image-2.6.24-30-xen, linux-image-2.6.24-30-virtual, linux, linux-image-2.6.24-30-sparc64, linux-image-2.6.24-30-lpia, linux-image-2.6.24-30-server, linux-image-2.6.24-30-sparc64-smp, linux-image-2.6.24-30-itanium, linux-image-2.6.24-30-lpiacompat, linux-image-2.6.24-30-generic, linux-image-2.6.24-30-386, linux-image-2.6.24-30-hppa32, linux-image-2.6.24-30-openvz, linux-image-2.6.24-30-powerpc, linux-image-2.6.24-30-mckinley, linux-image-2.6.24-30-hppa64, linux-image-2.6.24-30-powerpc-smp, linux-image-2.6.24-30-rt
  • USN-1322-1: linux-image-3.0.0-14-generic, linux-image-3.0.0-14-powerpc64-smp, linux, linux-image-3.0.0-14-powerpc-smp, linux-image-3.0.0-14-virtual, linux-image-3.0.0-14-omap, linux-image-3.0.0-14-powerpc, linux-image-3.0.0-14-server, linux-image-3.0.0-14-generic-pae
  • USN-1287-1: linux-ti-omap4, linux-image-3.0.0-1206-omap4
  • USN-1313-1: linux-image-3.0.0-14-generic, linux-lts-backport-oneiric, linux-image-3.0.0-14-virtual, linux-image-3.0.0-14-server, linux-image-3.0.0-14-generic-pae
  • USN-1294-1: linux-image-3.0.0-13-generic, linux-image-3.0.0-13-virtual, linux-lts-backport-oneiric, linux-image-3.0.0-13-server, linux-image-3.0.0-13-generic-pae
  • USN-1256-1: linux-image-2.6.38-12-server, linux-image-2.6.38-12-generic, linux-image-2.6.38-12-generic-pae, linux-image-2.6.38-12-virtual, linux-lts-backport-natty
  • USN-1193-1: linux-image-2.6.38-11-powerpc, linux-image-2.6.38-11-generic, linux-image-2.6.38-11-powerpc-smp, linux-image-2.6.38-11-versatile, linux-image-2.6.38-11-powerpc64-smp, linux-image-2.6.38-11-virtual, linux-image-2.6.38-11-generic-pae, linux-image-2.6.38-11-omap, linux, linux-image-2.6.38-11-server